org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class EMFCompareStructureMergeViewer

- java.lang.Object
- - org.eclipse.jface.viewers.Viewer
  - - org.eclipse.jface.viewers.ContentViewer
    - - org.eclipse.jface.viewers.StructuredViewer
      - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.AbstractStructuredViewerWrapper<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>
        - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.EMFCompareStructureMergeViewer

All Implemented Interfaces:
  CommandStackListener, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class EMFCompareStructureMergeViewer
    extends AbstractStructuredViewerWrapper<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>
    implements CommandStackListener

Implementation of `AbstractStructuredViewerWrapper`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.AbstractStructuredViewerWrapper

`AbstractStructuredViewerWrapper.ControlAndViewer<C extends org.eclipse.swt.widgets.Control,V extends org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.IWrappableStructuredViewer>`

### Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer

`org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector, org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollectorWithProviders`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareStructureMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration config)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `colorChanged(IColorChangeEvent changeColorEvent)`
`void` `commandStackChanged(EventObject event)`
`protected AbstractStructuredViewerWrapper.ControlAndViewer<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>` `createControlAndViewer(org.eclipse.swt.widgets.Composite parent)` Should call `#setViewer(org.eclipse.jface.viewers.Viewer)`.
`protected void` `disposeResourceSet(ResourceSet resourceSet)` Disposes the `ResourceSet`.
`EMFCompareStructureMergeViewerContentProvider` `getContentProvider()`
`org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider` `getLabelProvider()`
`void` `handleDifferenceFilterChange(IDifferenceFilterChange event)`
`void` `handleDifferenceGroupProviderChange(IDifferenceGroupProviderChange event)`
`protected void` `handleDispose(org.eclipse.swt.events.DisposeEvent event)`
`void` `handleEditingDomainChange(ICompareEditingDomainChange event)`
`protected ComposedAdapterFactory` `initAdapterFactory(Comparison comparison)` Creates a new adapter factory based on the current compare configuration.
`protected void` `inputChanged(Object input, Object oldInput)`
`protected void` `internalRefresh(Object element)`
`void` `mergePreviewModeChange(IMergePreviewModeChange event)`
`protected void` `preHookCreateControlAndViewer()`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.AbstractStructuredViewerWrapper

`addDragSupport, addDropSupport, addFilter, doFindInputItem, doFindItem, doUpdateItem, getComparator, getCompareConfiguration, getComparer, getControl, getFilters, getSelectionFromWidget, getSorter, getViewer, handleInvalidSelection, removeFilter, resetFilters, reveal, setComparator, setComparer, setContentProvider, setFilters, setLabelProvider, setSelectionToWidget, setSorter, setUseHashlookup`

### Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addOpenListener, addPostSelectionChangedListener, assertContentProviderType, assertElementsNotNull, associate, buildLabel, disassociate, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, firePostSelectionChanged, getColorAndFontCollector, getFilteredChildren, getItem, getRawChildren, getRoot, getSelection, getSortedChildren, getStructuredSelection, handleDoubleSelect, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, hookControl, internalRefresh, internalUpdate, mapElement, needsRefilter, preservingSelection, refresh, refresh, refresh, refresh, refreshItem, removeDoubleClickListener, removeOpenListener, removePostSelectionChangedListener, setInput, setSelection, setSelectionToWidget, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, update, updateItem, updateSelection, usingElementMap`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getInput, labelProviderChanged`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

### Constructor Detail

#### EMFCompareStructureMergeViewer

    public EMFCompareStructureMergeViewer(org.eclipse.swt.widgets.Composite parent,
                                          EMFCompareConfiguration config)

Constructor.

Parameters:
  `parent` - the SWT parent control under which to create the viewer's SWT control.
  `config` - a compare configuration the newly created viewer might want to use.

### Method Detail

#### preHookCreateControlAndViewer

    protected void preHookCreateControlAndViewer()

Overrides:
  `preHookCreateControlAndViewer` in class `AbstractStructuredViewerWrapper<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>`
See Also:
  `org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.AbstractViewerWrapper#preHookCreateControlAndViewer()`

#### initAdapterFactory

    protected ComposedAdapterFactory initAdapterFactory(Comparison comparison)

Creates a new adapter factory based on the current compare configuration.

Returns:
  adapter factory

#### colorChanged

    public void colorChanged(IColorChangeEvent changeColorEvent)

#### createControlAndViewer

    protected AbstractStructuredViewerWrapper.ControlAndViewer<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer> createControlAndViewer(org.eclipse.swt.widgets.Composite parent)

Should call `#setViewer(org.eclipse.jface.viewers.Viewer)`.

Specified by:
  `createControlAndViewer` in class `AbstractStructuredViewerWrapper<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>`
Parameters:
  `parent` - the SWT control under which to create the viewer.
Returns:
  a composite control that will contains all sub-control of this wrapper.
See Also:
  `org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ViewerWrapper.createControl( Composite, CompareConfiguration)`

#### getContentProvider

    public EMFCompareStructureMergeViewerContentProvider getContentProvider()

Overrides:
  `getContentProvider` in class `org.eclipse.jface.viewers.ContentViewer`
See Also:
  `ContentViewer.getContentProvider()`

#### getLabelProvider

    public org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider getLabelProvider()

Overrides:
  `getLabelProvider` in class `org.eclipse.jface.viewers.ContentViewer`

#### handleEditingDomainChange

    public void handleEditingDomainChange(ICompareEditingDomainChange event)

#### mergePreviewModeChange

    public void mergePreviewModeChange(IMergePreviewModeChange event)

#### handleDifferenceFilterChange

    public void handleDifferenceFilterChange(IDifferenceFilterChange event)

#### handleDifferenceGroupProviderChange

    public void handleDifferenceGroupProviderChange(IDifferenceGroupProviderChange event)

#### inputChanged

    protected void inputChanged(Object input,
                                Object oldInput)

Overrides:
  `inputChanged` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  `Viewer.inputChanged(Object, Object)`

#### handleDispose

    protected void handleDispose(org.eclipse.swt.events.DisposeEvent event)

Overrides:
  `handleDispose` in class `AbstractStructuredViewerWrapper<org.eclipse.swt.custom.CTabFolder,WrappableTreeViewer>`
See Also:
  `org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.AbstractViewerWrapper#handleDispose(DisposeEvent)`

#### commandStackChanged

    public void commandStackChanged(EventObject event)

Specified by:
  `commandStackChanged` in interface `CommandStackListener`
See Also:
  `CommandStackListener.commandStackChanged(java.util.EventObject)`

#### disposeResourceSet

    protected void disposeResourceSet(ResourceSet resourceSet)

Disposes the `ResourceSet`.

Parameters:
  `resourceSet` - that need to be disposed.

#### internalRefresh

    protected void internalRefresh(Object element)

Specified by:
  `internalRefresh` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  `StructuredViewer.internalRefresh(java.lang.Object)`